%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global py_minor 16

%global python_major python%{py_major}

%global pkgname sphinxcontrib-serializinghtml

%global srcname sphinxcontrib_serializinghtml

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        1.1.7
Release:        1
Summary:        Sphinx extension for serialized HTML
License:        BSD
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/s/%{pkgname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  gettext >= 0.21
BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}
Requires:       %{python_major}-sphinx >= 7.1.2


%description
sphinxcontrib-serializinghtml is a sphinx extension which outputs "serialized"
HTML files (json and pickle).

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}
Requires:      python3-sphinx >= 7.1.2

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{srcname}-%{version}
find -name '*.mo' -delete


%build
export PATH=/opt/freeware/bin:$PATH
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done



%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
pip3.9 install . --root %{buildroot} --no-deps --ignore-installed

# Move language files to /opt/freeware/share
cd %{buildroot}%{python3_sitearch}
for lang in `find sphinxcontrib/serializinghtml/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -d %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
  mv sphinxcontrib/serializinghtml/locales/$lang/LC_MESSAGES/*.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/serializinghtml/locales
ln -s %{_datadir}/locale sphinxcontrib/serializinghtml/locales

cd -
%find_lang sphinxcontrib.serializinghtml


%check
%if %{with dotests}
export PYTHONPATH="${RPM_BUILD_ROOT}%{python3_sitearch}"
%{python_major} -m venv python_venv --system-site-packages
. ./python_venv/bin/activate
%{python_major} -m pytest
deactivate

%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%license LICENSE
%doc CHANGES README.rst
%{python3_sitearch}/*

%files -n %{meta_package} -f sphinxcontrib.serializinghtml.lang
%defattr(-,root,system,-)

%changelog
* Tue Sep 26 2023 Reshma V Kumar <reskumar@in.ibm.com> - 1.1.7-1
- Update to version 1.1.7

* Wed Mar 01 2023 Reshma V Kumar <reskumar@in.ibm.com> - 1.1.3-2
- Sphinxcontrib-serializing-html for python3.9
